package login

import (
	"context"

	"github.com/gogf/gf/v2/frame/g"

	v1 "cris/api/login/v1"
	"cris/internal/service"
)

func (c *ControllerV1) Login(ctx context.Context, req *v1.LoginReq) (res *v1.LoginRes, err error) {
	r := g.RequestFromCtx(ctx)
	login, err := service.Login().Login(ctx, req)
	if err != nil {
		r.Response.WriteExit("login error")
	}
	r.Response.WriteJson(login)
	return
}
